Impact of worm targeting Mambo CMS low, say researchers

F-Secure is warning of a network worm that targets a vulnerability in the Mambo Content Management System and the PHP XML-RPC specification.

F-Secure is warning of a network worm that targets vulnerabilities in the Mambo Content Management System (CMS) and PHP XML-RPC, a library of code for PHP programmers that allows procedures to run between computers with different operating systems.

F-Secure calls the worm Mare.D, saying it installs several backdoors on a compromised system. The worm scans random hosts for those running vulnerable installations of the Mambo open source Web site content management system or a library which PHP XML-RPC library.

Two of the backdoors -- "cb" and "ping.txt" -- are connectback shell backdoors that connected to a remote host via port 8080, F-Secure said. The third is controlled by IRC (Internet Relay Chat) and written in the Perl language. The main component of the worm listens on UDP (User Datagram Protocol) port 27015 for commands, F-Secure said.

Secunia, which also issued an advisory, said the vulnerability affects version 1.1 of PHP XML-RPC and prior versions. Its advisory recommended upgrading PHP XML-RPC to version 1.1.1.

Mambo wrote on its Web site that it has issued fixes for versions 4.5.3 and 4.5.3h. Those fixes can be downloaded from Mambo's Web site at http://www.mamboserver.com/. It also recommended that users upgrade their software if they have a version earlier than 4.5.3.

So far, it doesn't appear many users have been affected. Graham Cluley, a senior technology consultant with Sophos, said the company has not heard concerns from its customers over the worm.

Join the newsletter!

Error: Please check your email address.

More about CMSF-SecureSophosVIA

Show Comments